
#include "common.h"
#include "Sprite.h"


// スプライト
enum
{
	SPR_PHOTO	= 0,			// 背景
	SPR_MAX,
};

static sys::Sprite*	sprite;		// スプライト


/************
    初期化
 ************/
void	init_app(void)
{
	LOGI("=== 初期化 ===");

	static const
	char*	tex_name[SPR_MAX] =
			{
				"photo.png",
			};

	sprite = new sys::Sprite[SPR_MAX];
	for (int i = 0; i < SPR_MAX; i++) {			// スプライト初期化（リソース指定）
		sprite[i].set(sys::TexCache::RES_ASSET, tex_name[i]);
	}
}

/**********
    終了
 **********/
void	quit_app(void)
{
	LOGI("=== 終了 ===");

	delete[]	sprite;
}

/******************************
    稼働
		戻り値	アプリ続行か
 ******************************/
Bool	update_app(void)
{
	sprite[SPR_PHOTO].draw(0.0f, 0.0f);			// 背景

	return	TRUE;
}

/**************
    一時停止
 **************/
void	pause_app(void)
{
	LOGI("=== 一時停止 ===");
}

/**********
    再開
 **********/
void	resume_app(void)
{
	LOGI("=== 再開 ===");
}

/**************** End of File *************************************************/